summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorTheodore Ts'o <tytso@mit.edu>2008-02-29 00:43:29 -0500
committerTheodore Ts'o <tytso@mit.edu>2008-02-29 00:43:29 -0500
commit399033a6ab713bc1f8ebad90e47fced0e7491b62 (patch)
treebeb237119774e243e12b79ec08876ef28cd9d415 /tests
parenta49670e64e28ac3b15e36cb6bd0a8135d3ecdbbb (diff)
parente1e83b6ba9c14e6f9a845c5a9694e2c74dffef0a (diff)
downloade2fsprogs-399033a6ab713bc1f8ebad90e47fced0e7491b62.tar.gz
Merge branch 'maint'
Diffstat (limited to 'tests')
-rw-r--r--tests/r_inline_xattr/expect16
-rw-r--r--tests/r_inline_xattr/image.gzbin0 -> 18907 bytes
-rw-r--r--tests/r_inline_xattr/name1
-rw-r--r--tests/r_inline_xattr/script55
-rw-r--r--tests/r_move_itable/name1
-rw-r--r--tests/r_move_itable/script2
-rw-r--r--tests/r_resize_inode/name2
-rw-r--r--tests/r_resize_inode/script2
8 files changed, 75 insertions, 4 deletions
diff --git a/tests/r_inline_xattr/expect b/tests/r_inline_xattr/expect
new file mode 100644
index 00000000..f72ce879
--- /dev/null
+++ b/tests/r_inline_xattr/expect
@@ -0,0 +1,16 @@
+resize2fs test
+debugfs -R ''stat file'' ./test.img 2>&1 | grep ''^Inode\|in inode body\|name = ''
+Inode: 1550 Type: regular Mode: 0644 Flags: 0x0 Generation: 3498507810
+Extended attributes stored in inode body:
+ name = "propervalue" (11)
+Exit status is 0
+resize2fs ./test.img 5M
+Resizing the filesystem on ./test.img to 5120 (1k) blocks.
+The filesystem on ./test.img is now 5120 blocks long.
+
+Exit status is 0
+debugfs -R ''stat file'' ./test.img 2>&1 | grep ''^Inode\|in inode body\|name = ''
+Inode: 12 Type: regular Mode: 0644 Flags: 0x0 Generation: 3498507810
+Extended attributes stored in inode body:
+ name = "propervalue" (11)
+Exit status is 0
diff --git a/tests/r_inline_xattr/image.gz b/tests/r_inline_xattr/image.gz
new file mode 100644
index 00000000..ead28693
--- /dev/null
+++ b/tests/r_inline_xattr/image.gz
Binary files differ
diff --git a/tests/r_inline_xattr/name b/tests/r_inline_xattr/name
new file mode 100644
index 00000000..97654fbd
--- /dev/null
+++ b/tests/r_inline_xattr/name
@@ -0,0 +1 @@
+shrinking filesystem with in-inode extended attributes
diff --git a/tests/r_inline_xattr/script b/tests/r_inline_xattr/script
new file mode 100644
index 00000000..eb923de4
--- /dev/null
+++ b/tests/r_inline_xattr/script
@@ -0,0 +1,55 @@
+if test -x $RESIZE2FS_EXE; then
+
+IMAGE=$test_dir/image.gz
+FSCK_OPT=-yf
+OUT=$test_name.log
+EXP=$test_dir/expect
+
+gunzip < $IMAGE > $TMPFILE
+
+echo "resize2fs test" > $OUT
+
+# Look at existing inline extended attribute
+echo "debugfs -R ''stat file'' $TMPFILE 2>&1 | grep ''^Inode\|in inode body\|name = ''" >> $OUT
+$DEBUGFS -R "stat file" $TMPFILE 2>&1 | grep "^Inode\|in inode body\|name = " >> $OUT
+status=$?
+echo Exit status is $status >> $OUT
+
+# resize it
+echo "resize2fs $TMPFILE 5M" >> $OUT
+$RESIZE2FS $TMPFILE 5M 2>&1 >> $OUT.new 2>&1
+status=$?
+echo Exit status is $status >> $OUT.new
+sed -e '1d' $OUT.new >> $OUT
+
+# Look at inline extended attribute in resized fs
+echo "debugfs -R ''stat file'' $TMPFILE 2>&1 | grep ''^Inode\|in inode body\|name = ''" >> $OUT
+$DEBUGFS -R "stat file" $TMPFILE 2>&1 | grep "^Inode\|in inode body\|name = " >> $OUT
+status=$?
+echo Exit status is $status >> $OUT
+
+rm $TMPFILE $OUT.new
+
+#
+# Do the verification
+#
+
+rm -f $test_name.ok $test_name.failed
+cmp -s $OUT $EXP
+status=$?
+
+if [ "$status" = 0 ] ; then
+ echo "ok"
+ touch $test_name.ok
+else
+ echo "failed"
+ diff $DIFF_OPTS $EXP $OUT > $test_name.failed
+fi
+
+unset IMAGE FSCK_OPT OUT EXP
+
+else #if test -x $RESIZE2FS; then
+ rm -f $test_name.ok $test_name.failed
+ echo "skipped"
+fi
+
diff --git a/tests/r_move_itable/name b/tests/r_move_itable/name
new file mode 100644
index 00000000..02a18821
--- /dev/null
+++ b/tests/r_move_itable/name
@@ -0,0 +1 @@
+filesystem resize which requires moving the inode table
diff --git a/tests/r_move_itable/script b/tests/r_move_itable/script
index e2a91499..673f65c0 100644
--- a/tests/r_move_itable/script
+++ b/tests/r_move_itable/script
@@ -1,5 +1,3 @@
-printf "resize2fs with resize_inode: "
-
if test -x $RESIZE2FS_EXE; then
FSCK_OPT=-yf
diff --git a/tests/r_resize_inode/name b/tests/r_resize_inode/name
new file mode 100644
index 00000000..2783baf3
--- /dev/null
+++ b/tests/r_resize_inode/name
@@ -0,0 +1,2 @@
+filesystem resize with a resize_inode present
+
diff --git a/tests/r_resize_inode/script b/tests/r_resize_inode/script
index ff6eb503..5820fbe0 100644
--- a/tests/r_resize_inode/script
+++ b/tests/r_resize_inode/script
@@ -1,5 +1,3 @@
-printf "resize2fs with resize_inode: "
-
if test -x $RESIZE2FS_EXE; then
FSCK_OPT=-yf